// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/dictionary_md/product_preparative_form.proto

package dictionary_md

import (
	_ "github.com/golang/protobuf/ptypes/timestamp"
	wrappers "github.com/golang/protobuf/ptypes/wrappers"
	dictionary_common "gitlab.com/fcpartners/apis/gen/dictionary/v1/dictionary_common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ProductPreparativeForm struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                  int64                    `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	ProductId           int64                    `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	ProductName         string                   `protobuf:"bytes,3,opt,name=product_name,json=productName,proto3" json:"product_name,omitempty"`
	PreparativeFormId   int64                    `protobuf:"varint,4,opt,name=preparative_form_id,json=preparativeFormId,proto3" json:"preparative_form_id,omitempty"`
	PreparativeFormName string                   `protobuf:"bytes,5,opt,name=preparative_form_name,json=preparativeFormName,proto3" json:"preparative_form_name,omitempty"`
	Audit               *dictionary_common.Audit `protobuf:"bytes,21,opt,name=audit,proto3" json:"audit,omitempty"`
}

func (x *ProductPreparativeForm) Reset() {
	*x = ProductPreparativeForm{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductPreparativeForm) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductPreparativeForm) ProtoMessage() {}

func (x *ProductPreparativeForm) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductPreparativeForm.ProtoReflect.Descriptor instead.
func (*ProductPreparativeForm) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{0}
}

func (x *ProductPreparativeForm) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *ProductPreparativeForm) GetProductId() int64 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *ProductPreparativeForm) GetProductName() string {
	if x != nil {
		return x.ProductName
	}
	return ""
}

func (x *ProductPreparativeForm) GetPreparativeFormId() int64 {
	if x != nil {
		return x.PreparativeFormId
	}
	return 0
}

func (x *ProductPreparativeForm) GetPreparativeFormName() string {
	if x != nil {
		return x.PreparativeFormName
	}
	return ""
}

func (x *ProductPreparativeForm) GetAudit() *dictionary_common.Audit {
	if x != nil {
		return x.Audit
	}
	return nil
}

type ProductPreparativeFormFilter struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id                *wrappers.Int64Value `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ProductId         *wrappers.Int64Value `protobuf:"bytes,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	PreparativeFormId *wrappers.Int64Value `protobuf:"bytes,4,opt,name=preparative_form_id,json=preparativeFormId,proto3" json:"preparative_form_id,omitempty"`
	// audit
	State     *dictionary_common.StateValue `protobuf:"bytes,21,opt,name=state,proto3" json:"state,omitempty"`
	CreatedAt *dictionary_common.TimeRange  `protobuf:"bytes,23,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	CreatedBy *wrappers.StringValue         `protobuf:"bytes,24,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	UpdatedAt *dictionary_common.TimeRange  `protobuf:"bytes,25,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	UpdatedBy *wrappers.StringValue         `protobuf:"bytes,26,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
}

func (x *ProductPreparativeFormFilter) Reset() {
	*x = ProductPreparativeFormFilter{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductPreparativeFormFilter) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductPreparativeFormFilter) ProtoMessage() {}

func (x *ProductPreparativeFormFilter) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductPreparativeFormFilter.ProtoReflect.Descriptor instead.
func (*ProductPreparativeFormFilter) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{1}
}

func (x *ProductPreparativeFormFilter) GetId() *wrappers.Int64Value {
	if x != nil {
		return x.Id
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetProductId() *wrappers.Int64Value {
	if x != nil {
		return x.ProductId
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetPreparativeFormId() *wrappers.Int64Value {
	if x != nil {
		return x.PreparativeFormId
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetState() *dictionary_common.StateValue {
	if x != nil {
		return x.State
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetCreatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetCreatedBy() *wrappers.StringValue {
	if x != nil {
		return x.CreatedBy
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetUpdatedAt() *dictionary_common.TimeRange {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

func (x *ProductPreparativeFormFilter) GetUpdatedBy() *wrappers.StringValue {
	if x != nil {
		return x.UpdatedBy
	}
	return nil
}

type GetProductPreparativeFormRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetProductPreparativeFormRequest) Reset() {
	*x = GetProductPreparativeFormRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductPreparativeFormRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductPreparativeFormRequest) ProtoMessage() {}

func (x *GetProductPreparativeFormRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductPreparativeFormRequest.ProtoReflect.Descriptor instead.
func (*GetProductPreparativeFormRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{2}
}

func (x *GetProductPreparativeFormRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

type GetProductPreparativeFormResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ProductPreparativeForm `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *GetProductPreparativeFormResponse) Reset() {
	*x = GetProductPreparativeFormResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductPreparativeFormResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductPreparativeFormResponse) ProtoMessage() {}

func (x *GetProductPreparativeFormResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductPreparativeFormResponse.ProtoReflect.Descriptor instead.
func (*GetProductPreparativeFormResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{3}
}

func (x *GetProductPreparativeFormResponse) GetItem() *ProductPreparativeForm {
	if x != nil {
		return x.Item
	}
	return nil
}

type ListProductPreparativeFormRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Filter *ProductPreparativeFormFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
	// sortable fields: id, product_id, product_name, preparative_form_id, preparative_form_name, abbreviation, created_at, updated_at
	Sortings []*dictionary_common.Sorting `protobuf:"bytes,2,rep,name=sortings,proto3" json:"sortings,omitempty"`
	// Pagination - Optional
	Pagination *dictionary_common.PaginationRequest `protobuf:"bytes,3,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListProductPreparativeFormRequest) Reset() {
	*x = ListProductPreparativeFormRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductPreparativeFormRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductPreparativeFormRequest) ProtoMessage() {}

func (x *ListProductPreparativeFormRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductPreparativeFormRequest.ProtoReflect.Descriptor instead.
func (*ListProductPreparativeFormRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{4}
}

func (x *ListProductPreparativeFormRequest) GetFilter() *ProductPreparativeFormFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

func (x *ListProductPreparativeFormRequest) GetSortings() []*dictionary_common.Sorting {
	if x != nil {
		return x.Sortings
	}
	return nil
}

func (x *ListProductPreparativeFormRequest) GetPagination() *dictionary_common.PaginationRequest {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type ListProductPreparativeFormResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items      []*ProductPreparativeForm             `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
	Pagination *dictionary_common.PaginationResponse `protobuf:"bytes,2,opt,name=pagination,proto3" json:"pagination,omitempty"`
}

func (x *ListProductPreparativeFormResponse) Reset() {
	*x = ListProductPreparativeFormResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductPreparativeFormResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductPreparativeFormResponse) ProtoMessage() {}

func (x *ListProductPreparativeFormResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductPreparativeFormResponse.ProtoReflect.Descriptor instead.
func (*ListProductPreparativeFormResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{5}
}

func (x *ListProductPreparativeFormResponse) GetItems() []*ProductPreparativeForm {
	if x != nil {
		return x.Items
	}
	return nil
}

func (x *ListProductPreparativeFormResponse) GetPagination() *dictionary_common.PaginationResponse {
	if x != nil {
		return x.Pagination
	}
	return nil
}

type SaveProductPreparativeFormRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Item *ProductPreparativeForm `protobuf:"bytes,1,opt,name=item,proto3" json:"item,omitempty"`
}

func (x *SaveProductPreparativeFormRequest) Reset() {
	*x = SaveProductPreparativeFormRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveProductPreparativeFormRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveProductPreparativeFormRequest) ProtoMessage() {}

func (x *SaveProductPreparativeFormRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveProductPreparativeFormRequest.ProtoReflect.Descriptor instead.
func (*SaveProductPreparativeFormRequest) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{6}
}

func (x *SaveProductPreparativeFormRequest) GetItem() *ProductPreparativeForm {
	if x != nil {
		return x.Item
	}
	return nil
}

type SaveProductPreparativeFormResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *SaveProductPreparativeFormResponse) Reset() {
	*x = SaveProductPreparativeFormResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SaveProductPreparativeFormResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SaveProductPreparativeFormResponse) ProtoMessage() {}

func (x *SaveProductPreparativeFormResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_dictionary_md_product_preparative_form_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SaveProductPreparativeFormResponse.ProtoReflect.Descriptor instead.
func (*SaveProductPreparativeFormResponse) Descriptor() ([]byte, []int) {
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP(), []int{7}
}

func (x *SaveProductPreparativeFormResponse) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

var File_v1_dictionary_md_product_preparative_form_proto protoreflect.FileDescriptor

var file_v1_dictionary_md_product_preparative_form_proto_rawDesc = []byte{
	0x0a, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x70, 0x72, 0x65, 0x70, 0x61,
	0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x1f, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x6d, 0x64, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70, 0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x2c, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x22, 0x96, 0x02, 0x0a, 0x16, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65,
	0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x12, 0x0e, 0x0a, 0x02,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1d, 0x0a, 0x0a,
	0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0b, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x2e,
	0x0a, 0x13, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f,
	0x72, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x11, 0x70, 0x72, 0x65,
	0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x49, 0x64, 0x12, 0x32,
	0x0a, 0x15, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f,
	0x72, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x13, 0x70,
	0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x40, 0x0a, 0x05, 0x61, 0x75, 0x64, 0x69, 0x74, 0x18, 0x15, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x41, 0x75, 0x64, 0x69, 0x74, 0x52, 0x05, 0x61,
	0x75, 0x64, 0x69, 0x74, 0x4a, 0x04, 0x08, 0x07, 0x10, 0x15, 0x22, 0xc5, 0x04, 0x0a, 0x1c, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76,
	0x65, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x2b, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x02, 0x69, 0x64, 0x12, 0x3a, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x49,
	0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x49, 0x64, 0x12, 0x4b, 0x0a, 0x13, 0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74,
	0x69, 0x76, 0x65, 0x5f, 0x66, 0x6f, 0x72, 0x6d, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x11,
	0x70, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x49,
	0x64, 0x12, 0x45, 0x0a, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72,
	0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x65, 0x56, 0x61, 0x6c, 0x75,
	0x65, 0x52, 0x05, 0x73, 0x74, 0x61, 0x74, 0x65, 0x12, 0x4d, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x17, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31,
	0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x18, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x42, 0x79, 0x12, 0x4d, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f,
	0x61, 0x74, 0x18, 0x19, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x54,
	0x69, 0x6d, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x41, 0x74, 0x12, 0x3b, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62,
	0x79, 0x18, 0x1a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79,
	0x4a, 0x04, 0x08, 0x03, 0x10, 0x04, 0x4a, 0x04, 0x08, 0x05, 0x10, 0x15, 0x4a, 0x04, 0x08, 0x16,
	0x10, 0x17, 0x22, 0x32, 0x0a, 0x20, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x22, 0x70, 0x0a, 0x21, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46,
	0x6f, 0x72, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4b, 0x0a, 0x04, 0x69,
	0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f,
	0x72, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x9c, 0x02, 0x0a, 0x21, 0x4c, 0x69, 0x73,
	0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74,
	0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x55,
	0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e,
	0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64,
	0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74,
	0x69, 0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x48, 0x0a, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74,
	0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x53, 0x6f,
	0x72, 0x74, 0x69, 0x6e, 0x67, 0x52, 0x08, 0x73, 0x6f, 0x72, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x12,
	0x56, 0x0a, 0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x36, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x52, 0x0a, 0x70, 0x61, 0x67,
	0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xcc, 0x01, 0x0a, 0x22, 0x4c, 0x69, 0x73, 0x74,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69,
	0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4d,
	0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x37, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76,
	0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69,
	0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x12, 0x57, 0x0a,
	0x0a, 0x70, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61,
	0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79,
	0x5f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x50, 0x61, 0x67, 0x69, 0x6e, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0a, 0x70, 0x61, 0x67, 0x69,
	0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x70, 0x0a, 0x21, 0x53, 0x61, 0x76, 0x65, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65,
	0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x4b, 0x0a, 0x04, 0x69,
	0x74, 0x65, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x64, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69,
	0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x2e, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69, 0x76, 0x65, 0x46, 0x6f,
	0x72, 0x6d, 0x52, 0x04, 0x69, 0x74, 0x65, 0x6d, 0x22, 0x34, 0x0a, 0x22, 0x53, 0x61, 0x76, 0x65,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x50, 0x72, 0x65, 0x70, 0x61, 0x72, 0x61, 0x74, 0x69,
	0x76, 0x65, 0x46, 0x6f, 0x72, 0x6d, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e,
	0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x42, 0x6b,
	0x0a, 0x28, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x64,
	0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2e, 0x76, 0x31, 0x2e, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0x50, 0x01, 0x5a, 0x3a, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e,
	0x65, 0x72, 0x73, 0x2f, 0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x64, 0x69, 0x63,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79, 0x2f, 0x76, 0x31, 0x2f, 0x64, 0x69, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x61, 0x72, 0x79, 0x5f, 0x6d, 0x64, 0xba, 0x02, 0x00, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_v1_dictionary_md_product_preparative_form_proto_rawDescOnce sync.Once
	file_v1_dictionary_md_product_preparative_form_proto_rawDescData = file_v1_dictionary_md_product_preparative_form_proto_rawDesc
)

func file_v1_dictionary_md_product_preparative_form_proto_rawDescGZIP() []byte {
	file_v1_dictionary_md_product_preparative_form_proto_rawDescOnce.Do(func() {
		file_v1_dictionary_md_product_preparative_form_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_dictionary_md_product_preparative_form_proto_rawDescData)
	})
	return file_v1_dictionary_md_product_preparative_form_proto_rawDescData
}

var file_v1_dictionary_md_product_preparative_form_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_v1_dictionary_md_product_preparative_form_proto_goTypes = []interface{}{
	(*ProductPreparativeForm)(nil),               // 0: fcp.dictionary.v1.dictionary_md.ProductPreparativeForm
	(*ProductPreparativeFormFilter)(nil),         // 1: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter
	(*GetProductPreparativeFormRequest)(nil),     // 2: fcp.dictionary.v1.dictionary_md.GetProductPreparativeFormRequest
	(*GetProductPreparativeFormResponse)(nil),    // 3: fcp.dictionary.v1.dictionary_md.GetProductPreparativeFormResponse
	(*ListProductPreparativeFormRequest)(nil),    // 4: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormRequest
	(*ListProductPreparativeFormResponse)(nil),   // 5: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormResponse
	(*SaveProductPreparativeFormRequest)(nil),    // 6: fcp.dictionary.v1.dictionary_md.SaveProductPreparativeFormRequest
	(*SaveProductPreparativeFormResponse)(nil),   // 7: fcp.dictionary.v1.dictionary_md.SaveProductPreparativeFormResponse
	(*dictionary_common.Audit)(nil),              // 8: fcp.dictionary.v1.dictionary_common.Audit
	(*wrappers.Int64Value)(nil),                  // 9: google.protobuf.Int64Value
	(*dictionary_common.StateValue)(nil),         // 10: fcp.dictionary.v1.dictionary_common.StateValue
	(*dictionary_common.TimeRange)(nil),          // 11: fcp.dictionary.v1.dictionary_common.TimeRange
	(*wrappers.StringValue)(nil),                 // 12: google.protobuf.StringValue
	(*dictionary_common.Sorting)(nil),            // 13: fcp.dictionary.v1.dictionary_common.Sorting
	(*dictionary_common.PaginationRequest)(nil),  // 14: fcp.dictionary.v1.dictionary_common.PaginationRequest
	(*dictionary_common.PaginationResponse)(nil), // 15: fcp.dictionary.v1.dictionary_common.PaginationResponse
}
var file_v1_dictionary_md_product_preparative_form_proto_depIdxs = []int32{
	8,  // 0: fcp.dictionary.v1.dictionary_md.ProductPreparativeForm.audit:type_name -> fcp.dictionary.v1.dictionary_common.Audit
	9,  // 1: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.id:type_name -> google.protobuf.Int64Value
	9,  // 2: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.product_id:type_name -> google.protobuf.Int64Value
	9,  // 3: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.preparative_form_id:type_name -> google.protobuf.Int64Value
	10, // 4: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.state:type_name -> fcp.dictionary.v1.dictionary_common.StateValue
	11, // 5: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.created_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	12, // 6: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.created_by:type_name -> google.protobuf.StringValue
	11, // 7: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.updated_at:type_name -> fcp.dictionary.v1.dictionary_common.TimeRange
	12, // 8: fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter.updated_by:type_name -> google.protobuf.StringValue
	0,  // 9: fcp.dictionary.v1.dictionary_md.GetProductPreparativeFormResponse.item:type_name -> fcp.dictionary.v1.dictionary_md.ProductPreparativeForm
	1,  // 10: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormRequest.filter:type_name -> fcp.dictionary.v1.dictionary_md.ProductPreparativeFormFilter
	13, // 11: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormRequest.sortings:type_name -> fcp.dictionary.v1.dictionary_common.Sorting
	14, // 12: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormRequest.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationRequest
	0,  // 13: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormResponse.items:type_name -> fcp.dictionary.v1.dictionary_md.ProductPreparativeForm
	15, // 14: fcp.dictionary.v1.dictionary_md.ListProductPreparativeFormResponse.pagination:type_name -> fcp.dictionary.v1.dictionary_common.PaginationResponse
	0,  // 15: fcp.dictionary.v1.dictionary_md.SaveProductPreparativeFormRequest.item:type_name -> fcp.dictionary.v1.dictionary_md.ProductPreparativeForm
	16, // [16:16] is the sub-list for method output_type
	16, // [16:16] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_v1_dictionary_md_product_preparative_form_proto_init() }
func file_v1_dictionary_md_product_preparative_form_proto_init() {
	if File_v1_dictionary_md_product_preparative_form_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductPreparativeForm); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductPreparativeFormFilter); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductPreparativeFormRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductPreparativeFormResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductPreparativeFormRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductPreparativeFormResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveProductPreparativeFormRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_dictionary_md_product_preparative_form_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SaveProductPreparativeFormResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_dictionary_md_product_preparative_form_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_dictionary_md_product_preparative_form_proto_goTypes,
		DependencyIndexes: file_v1_dictionary_md_product_preparative_form_proto_depIdxs,
		MessageInfos:      file_v1_dictionary_md_product_preparative_form_proto_msgTypes,
	}.Build()
	File_v1_dictionary_md_product_preparative_form_proto = out.File
	file_v1_dictionary_md_product_preparative_form_proto_rawDesc = nil
	file_v1_dictionary_md_product_preparative_form_proto_goTypes = nil
	file_v1_dictionary_md_product_preparative_form_proto_depIdxs = nil
}
